### Method

# Panel Settings bind

#### Declaration [src]

    void
    panel_settings_bind (
      PanelSettings* self,
      const char* key,
      gpointer object,
      const char* property,
      GSettingsBindFlags flags
    )

#### Description

No description available.

#### Parameters

`key`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`object`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`property`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`flags`

  Type: `GSettingsBindFlags`

  No description available.